opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::GenericDescriptorMatcher Class Referenceabstract

`#include <features2d.hpp>`

Inheritance diagram for cv::GenericDescriptorMatcher:

## Classes
class | KeyPointCollection

## Public Member Functions
virtual void | add (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints)
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints) const
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints)
virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const =0
| GenericDescriptorMatcher ()
const vector< Mat > & | getTrainImages () const
const vector< vector< KeyPoint > > & | getTrainKeypoints () const
virtual bool | isMaskSupported ()=0
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, int k, const Mat &mask=Mat(), bool compactResult=false) const
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< DMatch > &matches, const Mat &mask=Mat()) const
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< DMatch > &matches, const vector< Mat > &masks=vector< Mat >())
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const Mat &mask=Mat(), bool compactResult=false) const
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual void | read (const FileNode &)
virtual void | train ()
virtual void | write (FileStorage &) const
virtual | ~GenericDescriptorMatcher ()

## Static Public Member Functions
static Ptr < GenericDescriptorMatcher > | create (const string &genericDescritptorMatcherType, const string &paramsFilename=string())

## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)=0
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)=0

## Protected Attributes
KeyPointCollection | trainPointCollection

## Constructor & Destructor Documentation

cv::GenericDescriptorMatcher::GenericDescriptorMatcher | ( |  | ) |

virtual cv::GenericDescriptorMatcher::~GenericDescriptorMatcher | ( |  | ) |
| virtual

## Member Function Documentation

virtual void cv::GenericDescriptorMatcher::add | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints
| ) |  |
| virtual

Reimplemented in cv::VectorDescriptorMatcher.

void cv::GenericDescriptorMatcher::classify | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints
| ) |  | const

void cv::GenericDescriptorMatcher::classify | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints
| ) |  |

virtual void cv::GenericDescriptorMatcher::clear | ( |  | ) |
| virtual

Reimplemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::GenericDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` | ) | const
| pure virtual

Implemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

static Ptr<GenericDescriptorMatcher> cv::GenericDescriptorMatcher::create | ( | const string & | genericDescritptorMatcherType,
|  | const string & | paramsFilename = `string()`
| ) |  |
| static

const vector<Mat>& cv::GenericDescriptorMatcher::getTrainImages | ( |  | ) | const

const vector<vector<KeyPoint> >& cv::GenericDescriptorMatcher::getTrainKeypoints | ( |  | ) | const

virtual bool cv::GenericDescriptorMatcher::isMaskSupported | ( |  | ) |
| pure virtual

Implemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

void cv::GenericDescriptorMatcher::knnMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const Mat & | mask = `Mat()`,
|  | bool | compactResult = `false`
| ) |  | const

void cv::GenericDescriptorMatcher::knnMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

virtual void cv::GenericDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |
| protected pure virtual

Implemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

void cv::GenericDescriptorMatcher::match | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< DMatch > & | matches,
|  | const Mat & | mask = `Mat()`
| ) |  | const

void cv::GenericDescriptorMatcher::match | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< DMatch > & | matches,
|  | const vector< Mat > & | masks = `vector< Mat >()`
| ) |  |

void cv::GenericDescriptorMatcher::radiusMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const Mat & | mask = `Mat()`,
|  | bool | compactResult = `false`
| ) |  | const

void cv::GenericDescriptorMatcher::radiusMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

virtual void cv::GenericDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |
| protected pure virtual

Implemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::read | ( | const FileNode & |  | ) |
| virtual

Reimplemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::train | ( |  | ) |
| virtual

Reimplemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::write | ( | FileStorage & |  | ) | const
| virtual

Reimplemented in cv::VectorDescriptorMatcher, cv::FernDescriptorMatcher, and cv::OneWayDescriptorMatcher.

## Member Data Documentation

KeyPointCollection cv::GenericDescriptorMatcher::trainPointCollection
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp